"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const publicAttachment_service_1 = require("../publicAttachment.service");
describe('public attachment service', () => {
    const publicAttachmentService = new publicAttachment_service_1.PublicAttachmentService();
    it('should download file without content disposition', async () => {
        const { content, filename: fileName } = await publicAttachmentService.getAttachment('https://www.africau.edu/images/default/sample.pdf?asd=10');
        expect(fileName).toEqual('sample.pdf');
        expect(content).toBeDefined();
    });
    it('should download file without content disposition', async () => {
        const { content, filename: fileName } = await publicAttachmentService.getAttachment('https://www.africau.edu/images/default/sample.pdf?asd=10#10');
        expect(fileName).toEqual('sample.pdf');
        expect(content).toBeDefined();
    });
    it('should download file without content disposition', async () => {
        const { content, filename: fileName } = await publicAttachmentService.getAttachment('https://www.africau.edu/images/default/sample.pdf');
        expect(fileName).toEqual('sample.pdf');
        expect(content).toBeDefined();
    });
    it('should download attachment image with content disposition', async () => {
        const { content, filename: fileName } = await publicAttachmentService.getAttachment('https://fastly.picsum.photos/id/591/200/300.jpg?hmac=GBnqheK8f8NgGoZ-JQIGl0uYMejcmT4gvw4PsBmUWPY');
        expect(fileName).toEqual('591-200x300.jpg');
        expect(content).toBeDefined();
    });
    it('should download attachment image with content disposition without extension', async () => {
        const { content, filename: fileName } = await publicAttachmentService.getAttachment('https://www.gravatar.com/avatar/4a042b8382a008d344561c8301509f3a?s=150&d=identicon&r=PG');
        expect(fileName).toEqual('4a042b8382a008d344561c8301509f3a.png');
        expect(content).toBeDefined();
    });
    it('should download attachment image without content disposition and extension', async () => {
        const { content, filename: fileName } = await publicAttachmentService.getAttachment('https://images.unsplash.com/photo-1674061937617-a96dc061fa30?crop=entropy&cs=tinysrgb&fit=crop&fm=jpg&h=200&ixid=MnwxfDB8MXxyYW5kb218MHx8fHx8fHx8MTY3NTg2NjkyMA&ixlib=rb-4.0.3&q=80&w=200');
        expect(fileName).toEqual('photo-1674061937617-a96dc061fa30.jpeg');
        expect(content).toBeDefined();
    });
});
//# sourceMappingURL=publicAttachment.integ-spec.js.map