"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CacheInMemoryService = void 0;
class CacheInMemoryService {
    constructor(cache) {
        this.cache = cache;
    }
    set(key, value, ttlInMs) {
        return this.cache.set(key, value, ttlInMs);
    }
    get(key) {
        return this.cache.get(key);
    }
    async getOrSetIfNotFound(key, getValueFunc, ttlInMs) {
        const cachedValue = await this.get(key);
        if (cachedValue !== undefined)
            return cachedValue;
        const value = await getValueFunc();
        await this.set(key, value, ttlInMs);
        return value;
    }
}
exports.CacheInMemoryService = CacheInMemoryService;
//# sourceMappingURL=cacheInMemory.service.js.map